Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bibliography
Class BiblioBook

    java.lang.Object
      org.biojava.bibliography.BibRef
          org.biojava.bibliography.BiblioBook

    public class BiblioBook

extends BibRef

It represents a book.

Since:
  1.3
Version:
  $Id: BiblioBook.java 2812 2003-07-16 16:01:11Z mrp $
Author:
  Martin Senger

Field Summary
`String` | `edition` Edition.
`BiblioProvider` | `editor` Editor.
`String` | `isbn` ISBN number.
`String` | `series` Book series.
`String` | `volume` Book volume.

Fields inherited from class org.biojava.bibliography.BibRef
`authors, contributors, coverage, crossReferences, date, description, entryStatus, format, identifier, language, properties, publisher, rights, subject, title, type`

Constructor Summary
`BiblioBook()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isbn

    public String isbn

  ISBN number.

### volume

    public String volume

  Book volume.

### edition

    public String edition

  Edition.

### series

    public String series

  Book series.

### editor

    public BiblioProvider editor

  Editor.

Constructor Detail

### BiblioBook

    public BiblioBook()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD